Subject: Re: [PATCH] kfree_skb() bug in 2.4.22

From: Dan Kegel <[email-masked]>
Date: Fri, 10 Oct 2003 09:57:58 -0700

Ingo Oeser wrote:
> On Friday 10 October 2003 15:00, David S. Miller wrote:
> 
>>Ingo Oeser <[email-masked]> wrote:
>>
>>>Would you mind __attribute_nonnull__ for these functions, if we
>>>enable GCC 3.3 support for this[1]?
>>
>>I would say yes, but why?  All this attribute does is optimize
>>away tests for NULL which surprise surprise we don't have any
>>of in kfree_skb().
> 
> 
> And it wouldn't warn about passing NULL to these functions? That's bad...
> But maybe sparse/smatch are better for this...

Things like smatch, sparse, and checker can use the __attribute_nonnull__.
I'd say it's a good idea.  Should I submit the patch, then, since I'm
the one who like the idea?
- Dan

-- 
Dan Kegel
http://www.kegel.com
http://counter.li.org/cgi-bin/runscript/display-person.cgi?user=78045